Bug 474240 - [RHEL5.1] Support of Broadcom HT1100 chipset - add new PCI ID
[RHEL5.1] Support of Broadcom HT1100 chipset - add new PCI ID
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Flavio Leitner
Red Hat Kernel QE team
: HardwareEnablement
Depends On: 457573
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-02 17:24 EST by Flavio Leitner
Modified: 2010-10-23 02:18 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:45:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch adding new PCI ID (1.24 KB, patch)
2008-12-02 17:24 EST, Flavio Leitner
no flags Details | Diff

  None (edit)
Description Flavio Leitner 2008-12-02 17:24:19 EST
Created attachment 325439 [details]
Patch adding new PCI ID

Description of problem:

New hardware based on an AMD Barcelona processor and a Broadcom HT1100 chipset. 
Part of the problem is fixed in bz#424531 that enables the module, but it
doesn't have the PCI ID for this board. 
The patch below fixes it. 

Version-Release number of selected component (if applicable):
2.6.18-122.el5

--- linux-2.6.18.i686.orig/drivers/i2c/busses/i2c-piix4.c
+++ linux-2.6.18.i686/drivers/i2c/busses/i2c-piix4.c
@@ -407,6 +407,8 @@ static struct pci_device_id piix4_ids[]
          .driver_data = 0 },
        { PCI_DEVICE(PCI_VENDOR_ID_SERVERWORKS, PCI_DEVICE_ID_SERVERWORKS_HT1000SB),
          .driver_data = 0 },
+       { PCI_DEVICE(PCI_VENDOR_ID_SERVERWORKS, PCI_DEVICE_ID_SERVERWORKS_HT1100_LD),
+         .driver_data = 0 },
        { PCI_DEVICE(PCI_VENDOR_ID_INTEL, PCI_DEVICE_ID_INTEL_82443MX_3),
          .driver_data = 3 },
        { PCI_DEVICE(PCI_VENDOR_ID_EFAR, PCI_DEVICE_ID_EFAR_SLC90E66_3),

--- linux-2.6.18.i686.orig/include/linux/pci_ids.h
+++ linux-2.6.18.i686/include/linux/pci_ids.h
@@ -1438,6 +1438,7 @@
 #define PCI_DEVICE_ID_SERVERWORKS_CSB5   0x0201
 #define PCI_DEVICE_ID_SERVERWORKS_CSB6    0x0203
 #define PCI_DEVICE_ID_SERVERWORKS_HT1000SB 0x0205
+#define PCI_DEVICE_ID_SERVERWORKS_HT1100_LD 0x0408
 #define PCI_DEVICE_ID_SERVERWORKS_OSB4IDE 0x0211
 #define PCI_DEVICE_ID_SERVERWORKS_CSB5IDE 0x0212
 #define PCI_DEVICE_ID_SERVERWORKS_CSB6IDE 0x0213
Comment 3 RHEL Product and Program Management 2009-02-16 10:40:02 EST
Updating PM score.
Comment 5 Flavio Leitner 2009-03-24 14:51:30 EDT
Patch posted upstream: http://thread.gmane.org/gmane.linux.drivers.i2c/3309
It will be merged in 2.6.30.

Patch posted in rhkernel-list
http://post-office.corp.redhat.com/archives/rhkernel-list/2009-March/msg00713.html

Flavio
Comment 6 Don Zickus 2009-04-06 17:17:01 EDT
in kernel-2.6.18-138.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 8 Chris Ward 2009-07-03 14:14:49 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 10 errata-xmlrpc 2009-09-02 04:45:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.